Sisense REST API Endpoint Index — Linux 2026.4.1
Every Sisense REST API endpoint on Linux (API v2, v1, v0) on one page: method, path, and a one-line summary. For an interactive explorer with request/response schemas and try-it-out, use the Swagger UI reference (v2 · v1 · v0). The raw specs are listed at
/swagger-specs/index.json.
642 endpoints across API v2, v1, v0.
REST API v2 (Linux 2026.4.1)
157 endpoints across 21 tags (OpenAPI 3 + Swagger 2). Raw specs: OpenAPI 3:
/swagger-specs/linux/latest/v2.openapi.json(stable latest alias) or/swagger-specs/linux/2026.4.1/v2.openapi.json(this exact version); Swagger 2:/swagger-specs/linux/latest/v2.swagger.json(stable latest alias) or/swagger-specs/linux/2026.4.1/v2.swagger.json(this exact version).
AI
- POST
/api/v2/ai/feedback— Send feedback about a chat - GET
/api/v2/ai/llm/models— Lists LLMs - POST
/api/v2/ai/llm/models— Creates a new model and tests the connection if requested. - GET
/api/v2/ai/llm/models/{modelId}— Gets a model by ID - PATCH
/api/v2/ai/llm/models/{modelId}— Updates an LLM model record - DELETE
/api/v2/ai/llm/models/{modelId}— Deletes an LLM model record - POST
/api/v2/ai/nlg/queryResult(deprecated) — Returns a NLG (Natural Language Generated) description of the query result - POST
/api/v2/ai/nlq/query— Decomposes a sentence into parts, matches them to JAQLs, and provides suggestions in case of ambiguities - POST
/api/v2/ai/nlq/query/{sourceId}— Translates natural language queries into structured analytical queries - GET
/api/v2/ai/recommendations/{datamodelId}/table-relations— Return the status for Table relations recommendation - POST
/api/v2/ai/recommendations/{datamodelId}/table-relations— Activate Table relations recommendation - GET
/api/v2/ai/recommendations/query/{sourceId}/{numOfRecommendations}— Gets the recommended queries for the specified source.
AI Studio API
- GET
/api/v2/ai/memories— Get memories
AI/Chats
- GET
/api/v2/ai/chats— Retrieve all the current user chats - POST
/api/v2/ai/chats— Create and retrieve a new user chat - DELETE
/api/v2/ai/chats— Delete all the user chats - GET
/api/v2/ai/chats/{chatId}— Retrieve a chat - POST
/api/v2/ai/chats/{chatId}— Chat about your data - DELETE
/api/v2/ai/chats/{chatId}— Delete the given chat - DELETE
/api/v2/ai/chats/{chatId}/history— Delete the given chat history
Builds
- GET
/api/v2/builds— List Build tasks - POST
/api/v2/builds— Start a build or publish - DELETE
/api/v2/builds— Cancel/Stop Datamodel builds - GET
/api/v2/builds/{buildId}— Get Build Task by ID - DELETE
/api/v2/builds/{buildId}— Cancel/Stop a Build Task - GET
/api/v2/builds/elementdependencies— Get element dependencies
Cluster
- GET
/api/v2/cluster-nodes— List Cluster Nodes - GET
/api/v2/cluster-nodes/{nodeId}— Get Cluster Node
Connections Management
- GET
/api/v2/connections— Retrieves Managed Connections List - POST
/api/v2/connections— Create a New Managed Connection - GET
/api/v2/connections/{connectionId}— Retrieves a Managed Connection - PATCH
/api/v2/connections/{connectionId}— Update specified Managed Connection - DELETE
/api/v2/connections/{connectionId}— Delete specified Managed Connection - PATCH
/api/v2/connections/{connectionId}/shares/update— Update Managed Connection Shares
Data Groups
- GET
/api/v2/data-groups— List Data Groups - POST
/api/v2/data-groups— Create Data Group - GET
/api/v2/data-groups/— List Data Groups - POST
/api/v2/data-groups/— Create Data Group - GET
/api/v2/data-groups/{dataGroupId}— Get Data Group by ID - PATCH
/api/v2/data-groups/{dataGroupId}— Update Data Group - DELETE
/api/v2/data-groups/{dataGroupId}— Delete Data Group - GET
/api/v2/data-groups/{dataGroupId}/— Get Data Group by ID - PATCH
/api/v2/data-groups/{dataGroupId}/— Update Data Group - DELETE
/api/v2/data-groups/{dataGroupId}/— Delete Data Group - POST
/api/v2/data-groups/{dataGroupId}/datamodels— Assign Datamodels to Data Group - POST
/api/v2/data-groups/{dataGroupId}/datamodels/— Assign Datamodels to Data Group - GET
/api/v2/data-groups/default— Get Default Data Group - GET
/api/v2/data-groups/default/— Get Default Data Group
Datamodel Imports/Exports
- GET
/api/v2/datamodel-exports/dependenciesList— Get Export Datamodel dependencies - GET
/api/v2/datamodel-exports/schema— Export Datamodel Schema - GET
/api/v2/datamodel-exports/stream/full— Export Datamodel as stream - GET
/api/v2/datamodel-exports/stream/full/— Export Datamodel as stream - GET
/api/v2/datamodel-import/dependenciesMergeOptions— Get import Datamodel dependencies Merge Options - POST
/api/v2/datamodel-imports/schema— Import a Datamodel Schema - POST
/api/v2/datamodel-imports/stream/full— Import full Datamodel as stream
Datamodels
- POST
/api/v2/datamodels— Create Datamodel - DELETE
/api/v2/datamodels/{datamodelId}— Delete Datamodel - POST
/api/v2/datamodels/{datamodelId}/clones— Clone Datamodel - GET
/api/v2/datamodels/{datamodelId}/instances— List Datamodel instances - GET
/api/v2/datamodels/{datamodelId}/schema— Get Datamodel schema by ID - GET
/api/v2/datamodels/{datamodelId}/schema/datasets— List Datasets - POST
/api/v2/datamodels/{datamodelId}/schema/datasets— Create Dataset - GET
/api/v2/datamodels/{datamodelId}/schema/datasets/{datasetId}— Get Dataset by ID - PATCH
/api/v2/datamodels/{datamodelId}/schema/datasets/{datasetId}— Update Dataset - DELETE
/api/v2/datamodels/{datamodelId}/schema/datasets/{datasetId}— Delete Dataset - GET
/api/v2/datamodels/{datamodelId}/schema/datasets/{datasetId}/table-schema— Get table schema metadata - GET
/api/v2/datamodels/{datamodelId}/schema/datasets/{datasetId}/tables— List Tables - POST
/api/v2/datamodels/{datamodelId}/schema/datasets/{datasetId}/tables— Create Table - GET
/api/v2/datamodels/{datamodelId}/schema/datasets/{datasetId}/tables/{tableId}— Get Table by ID - PATCH
/api/v2/datamodels/{datamodelId}/schema/datasets/{datasetId}/tables/{tableId}— Update Table - DELETE
/api/v2/datamodels/{datamodelId}/schema/datasets/{datasetId}/tables/{tableId}— Delete Table - GET
/api/v2/datamodels/{datamodelId}/schema/relations— List Relations - POST
/api/v2/datamodels/{datamodelId}/schema/relations— Create Relation - GET
/api/v2/datamodels/{datamodelId}/schema/relations/{relationId}— Get Relation by ID - PATCH
/api/v2/datamodels/{datamodelId}/schema/relations/{relationId}— Update Relation - DELETE
/api/v2/datamodels/{datamodelId}/schema/relations/{relationId}— Delete Relation - GET
/api/v2/datamodels/ai-access-control-settings— Get AI Assistant Settings - PATCH
/api/v2/datamodels/ai-access-control-settings— Update AI Assistant Settings - DELETE
/api/v2/datamodels/ai-access-control-settings— Delete AI Assistant Settings - GET
/api/v2/datamodels/schema— List Datamodel schemas
Dimensional Modeling
- GET
/api/v2/datamodels/{datamodelId}/validate_dimensional_model— Validate perspective
General
- DELETE
/api/v2/ai/recommendations/{datamodelId}/table-relations— Delete the status for Table relations recommendation - GET
/api/v2/environment/egress-ip— Get environment egress IP
Perspectives
- GET
/api/v2/perspectives— List Perspectives - POST
/api/v2/perspectives— Add new Perspective - GET
/api/v2/perspectives/{perspectiveId}— Get Perspective by Oid - PATCH
/api/v2/perspectives/{perspectiveId}— update a specific perspective - DELETE
/api/v2/perspectives/{perspectiveId}— Remove a specific perspective - POST
/api/v2/perspectives/{perspectiveId}/publish-semantics— Publish semantic properties for a perspective
Scheduled Build
- GET
/api/v2/datamodels/{datamodelId}/schedule— get schedule build by cube id - POST
/api/v2/datamodels/{datamodelId}/schedule— Add build schedule for cube - DELETE
/api/v2/datamodels/{datamodelId}/schedule— delete schedule
Semantic Enrichment
- GET
/api/v2/perspectives/{perspectiveId}/semantic-enrichment/report— Get the semantic enrichment report of the latest run
backups
- GET
/api/v2/backups— List backups - POST
/api/v2/backups— Start on-demand backup - GET
/api/v2/backups/{backup_id}— Get backup info - DELETE
/api/v2/backups/{backup_id}— delete backup - POST
/api/v2/backups/cancel— cancel ongoing backup process - POST
/api/v2/backups/restore/{directory}— Start system restore - GET
/api/v2/backups/schedules— list backup schedules - POST
/api/v2/backups/schedules— Create backup schedule - GET
/api/v2/backups/schedules/{schedule_id}— get backup schedule - PATCH
/api/v2/backups/schedules/{schedule_id}— Update backup schedule - DELETE
/api/v2/backups/schedules/{schedule_id}— Delete backup schedule
connectivity
- GET
/api/v2/ai/llm/{modelId}/test— Tests connectivity for an LLM model - POST
/api/v2/ai/llm/test(deprecated) — Validate LLM configuration - POST
/api/v2/ai/vdb/test(deprecated) — Test Custom VDB connection.
connectors
- POST
/api/v2/connectors/{provider}/table_preview— Returns table preview stream
nlq
- GET
/api/v2/nlq/liveSchedulers— Retrieves the schedule details of all NLQ specs - GET
/api/v2/nlq/liveSchedulers/{datamodelServer}/{datamodelTitle}— Fetches the scheduling details of a specific NLQ spec - POST
/api/v2/nlq/liveSchedulers/{datamodelServer}/{datamodelTitle}— Sets up a schedule for a data model which refreshes related NLQ specs as per the schedule - PATCH
/api/v2/nlq/liveSchedulers/{schedulerId}— Updates the scheduling details of a data model - DELETE
/api/v2/nlq/liveSchedulers/{schedulerId}— Removes the scheduling details for a data model - GET
/api/v2/nlq/permissions— Retrieves a list of permissions for a specific entity related to NLQ - GET
/api/v2/nlq/permissions/{level}/{id}— Fetches NLQ permissions for a specified entity - POST
/api/v2/nlq/permissions/{level}/{id}— Assigns NLQ permissions to a specified entity - GET
/api/v2/nlq/specs— Fetches all the Natural Language Querying (NLQ) specifications - POST
/api/v2/nlq/specs— Add a Natural Language Querying (NLQ) specification - GET
/api/v2/nlq/specs/{specId}— Fetches the Natural Language Querying (NLQ) specification using the provided specId - PATCH
/api/v2/nlq/specs/{specId}— Updates the specified Natural Language Querying (NLQ) specification - DELETE
/api/v2/nlq/specs/{specId}— Removes the specified Natural Language Querying (NLQ) specification - POST
/api/v2/nlq/specs/{specId}/compile— Initiates the compilation process for a given NLQ specification - POST
/api/v2/nlq/specs/{specId}/regenerate— Reconstructs an existing NLQ specification based on the current resource fields - POST
/api/v2/nlq/specs/generate— Generates NLQ specifications based on provided resources
projects
- GET
/api/v2/projects— Retrieves Git projects accessible by the current user. - GET
/api/v2/projects/{projectId}— Retrieves a Git project. - GET
/api/v2/projects/{projectId}/branches— Retrieves all Git branches of project. - POST
/api/v2/projects/{projectId}/branches— Creates a new Git branch. - GET
/api/v2/projects/{projectId}/branches/{branch}— Retrieves a Git branch of a project. - POST
/api/v2/projects/{projectId}/branches/{branch}/checkout— Switches to a branch and imports assets. - GET
/api/v2/projects/{projectId}/commits— Retrieves all Git commits of a project. - POST
/api/v2/projects/{projectId}/commits— Creates a new Git commit. - GET
/api/v2/projects/{projectId}/commits/{commit}— Retrieves a Git commit of a project. - POST
/api/v2/projects/{projectId}/commits/{commit}/checkout— Checks out a commit and imports assets. - POST
/api/v2/projects/{projectId}/discard— Discards uncommitted file changes and imports assets. - POST
/api/v2/projects/{projectId}/fetch— Runs Git fetch. - POST
/api/v2/projects/{projectId}/pull— Pulls in remote changes. - POST
/api/v2/projects/{projectId}/push— Runs Git push. - GET
/api/v2/projects/{projectId}/status— Retrieves a project's Git status. - POST
/api/v2/projects/{projectId}/sync— Synchronizes Git files of assets. - PATCH
/api/v2/projects/{projectId}/unlock— Unlocks a project.
settings
- GET
/api/v2/settings/ai— Returns particular AI settings - POST
/api/v2/settings/ai— Updates AI settings - PATCH
/api/v2/settings/ai— Partially updates AI settings - GET
/api/v2/settings/ai/llmProvider(deprecated) — Gets the LLM provider configuration - POST
/api/v2/settings/ai/llmProvider(deprecated) — Configures the LLM provider - DELETE
/api/v2/settings/ai/llmProvider(deprecated) — Deletes the LLM provider configuration - GET
/api/v2/settings/ai/terms— Returns AI terms and conditions accepted status - POST
/api/v2/settings/ai/terms— Updates AI terms and conditions accepted status - GET
/api/v2/settings/ai/vdb(deprecated) — Get current VDB configuration type. - POST
/api/v2/settings/ai/vdb(deprecated) — Set Custom VDB connection. - DELETE
/api/v2/settings/ai/vdb(deprecated) — Delete custom VDB connection.
tests
- GET
/api/v2/tests— Get all tests configurations - GET
/api/v2/tests/{idOrName}— Get test configuration details - PUT
/api/v2/tests/{idOrName}— Set test configuration - GET
/api/v2/tests/results— Get last tests results - POST
/api/v2/tests/run— Run tests and save / return tests results according to the provided flag
REST API v1 (Linux 2026.4.1)
352 endpoints across 48 tags (OpenAPI 3 + Swagger 2). Raw specs: OpenAPI 3:
/swagger-specs/linux/latest/v1.openapi.json(stable latest alias) or/swagger-specs/linux/2026.4.1/v1.openapi.json(this exact version); Swagger 2:/swagger-specs/linux/latest/v1.swagger.json(stable latest alias) or/swagger-specs/linux/2026.4.1/v1.swagger.json(this exact version).
General
- GET
/api/v1/account/lockout_status/{user_id} - POST
/api/v1/account/remove_lockout/{user_id}
account
- GET
/api/v1/account/activate/{token}— Validate activation token - POST
/api/v1/account/activate/{token}— Activate user - POST
/api/v1/account/begin_activate— Begin user activation - POST
/api/v1/account/begin_activate_bulk— Bulk begin user activation - POST
/api/v1/account/begin_reset_password— Begin reset password process - POST
/api/v1/account/change_password— Change password - GET
/api/v1/account/get_license_info— License Information - GET
/api/v1/account/reset_password/{token}— Validate password reset token - POST
/api/v1/account/reset_password/{token}— Finalize password reset - POST
/api/v1/account/set_new_license— License Information - POST
/api/v1/account/set_offline_license— License Information
admin
- POST
/api/v1/dashboards/{id}/admin/change_owner— Change dashboard owner - POST
/api/v1/dashboards/{server}/{title}/replace_datasource— Replace Datasource - GET
/api/v1/dashboards/admin— Get all dashboards - POST
/api/v1/dashboards/admin— Get all dashboards with extended model - POST
/api/v1/dashboards/replace— Replace a dashboard copy - POST
/api/v1/dashboards/searches— Get all dashboards with extended model
alerts
- GET
/api/v1/alerts— Get alerts - POST
/api/v1/alerts— Add a new alert - GET
/api/v1/alerts/{id}— Get a specific alert - PATCH
/api/v1/alerts/{id}— Update an alert - DELETE
/api/v1/alerts/{id}— Delete an alert - PATCH
/api/v1/alerts/{id}/setReceiveNotification— Update alert's disabled users - GET
/api/v1/alerts/count— Get the amount of alerts for a user - GET
/api/v1/alerts/recent— Get the live alerts execution information - GET
/api/v1/alerts/schedule/preview— Preview a cron-style live alert schedule
analytics
- GET
/api/v1/analytics/collection/{collection}— Get the entire collection based on the received parameter - GET
/api/v1/analytics/token— Get token for Sisense Analytics - GET
/api/v1/analytics/token/revoke— Revoke token for Sisense Analytics
application
- GET
/api/v1/application/status— Get the application's status
authentication
- GET
/api/v1/authentication/admin/logout— Revoke a user's session token - POST
/api/v1/authentication/admin/logout_all_users— Revoke all user tokens - DELETE
/api/v1/authentication/admin/tokens/{tokenType}— Revoke a user's specific token - POST
/api/v1/authentication/login— Authenticate - GET
/api/v1/authentication/logout— Revoke my session token - GET
/api/v1/authentication/logout_all— Revoke all my tokens - GET
/api/v1/authentication/server_access— Get a list of trusted servers - POST
/api/v1/authentication/server_access— Add a trusted server - PATCH
/api/v1/authentication/server_access/{id}— Edit a trusted server - DELETE
/api/v1/authentication/server_access/{id}— Remove a trusted server's access - GET
/api/v1/authentication/sessions— Get current user sessions - GET
/api/v1/authentication/tokens/api— Get API token - POST
/api/v1/authentication/tokens/api/renew— Renew API token
budget-store
- PUT
/api/v1/budget-store/byok/quota— Set or clear the deployment's BYOK token quota. - GET
/api/v1/budget-store/groups— List the active tenant's group budgets. - PUT
/api/v1/budget-store/groups— Set many of the active tenant's groups' AI credit limits in one call. - DELETE
/api/v1/budget-store/groups— Revert many of the active tenant's groups to unallocated (0 credits for managed, unlimited for BYOK) in one call. - GET
/api/v1/budget-store/groups/{groupId}— Get a group's AI credit budget. - PUT
/api/v1/budget-store/groups/{groupId}— Set a group's AI credit limit. - DELETE
/api/v1/budget-store/groups/{groupId}— Revert a group's budget to unallocated (0 credits for managed, unlimited for BYOK). - GET
/api/v1/budget-store/tenants— List every tenant's AI credit budget in the deployment. - PUT
/api/v1/budget-store/tenants— Set many tenants' AI credit limits in one call. - DELETE
/api/v1/budget-store/tenants— Revert many tenants to unallocated (0 credits for managed, unlimited for BYOK) in one call. - GET
/api/v1/budget-store/tenants/{tenantId}— Get a tenant's AI credit budget. - PUT
/api/v1/budget-store/tenants/{tenantId}— Set a tenant's AI credit limit. - DELETE
/api/v1/budget-store/tenants/{tenantId}— Revert a tenant's budget to unallocated (0 credits for managed, unlimited for BYOK).
build-rest-controller
- POST
/api/v1/elasticubes/next/getContextFromExpression— check auto complete for custom query - POST
/api/v1/elasticubes/next/runColumnQuery— check column query validation - POST
/api/v1/elasticubes/next/runTableQuery— check table query validation - GET
/api/v1/elasticubes/servers/next/{server}/{dataSourceTitle}/isBuilding— Build contract: checks if there is running build for given data source - POST
/api/v1/elasticubes/servers/next/{server}/build— run build cube - POST
/api/v1/elasticubes/servers/next/{server}/explain_build— explain build without type - POST
/api/v1/elasticubes/servers/next/{server}/explain_build/{buildType}— explain build by build type
cards
- POST
/api/v1/blox/deleteCard— Delete template by name - POST
/api/v1/blox/deleteCustomAction— Delete action by type - POST
/api/v1/blox/getActionByType— Get action by type - POST
/api/v1/blox/getCardByName— Get template by name - GET
/api/v1/blox/getCardsNames— Returns cards data. - GET
/api/v1/blox/getCustomActions— Returns Actions data. - GET
/api/v1/blox/getSnippets— Returns BloX editor snippets - POST
/api/v1/blox/saveCustomAction— Add a new Action - POST
/api/v1/blox/saveNewTemplate— Add a new template
connections
- GET
/api/v1/connection— Returns a list of connections - GET
/api/v1/connection/{id}— Returns a connection by its ID - DELETE
/api/v1/connection/{id}— Removes a connection - GET
/api/v1/connection/recent— Returns recently used connection objects
connectors
- GET
/api/v1/connectors/{provider}/ui_config— Returns object that describes the UI connection manifest
custom data
- GET
/api/v1/custom_data— Get all custom data - POST
/api/v1/custom_data— Add a new custom data - GET
/api/v1/custom_data/query— Get documents based on query - PATCH
/api/v1/custom_data/query— Update documents base on a query - DELETE
/api/v1/custom_data/query— Delete all documents that match the query
dashboards
- GET
/api/v1/dashboards— Get a user's dashboards - POST
/api/v1/dashboards— Add a new dashboard - GET
/api/v1/dashboards/{dashboardId}/widgets— Get a dashboard's widgets - POST
/api/v1/dashboards/{dashboardId}/widgets— Add a new widget to a dashboard - GET
/api/v1/dashboards/{dashboardId}/widgets/{id}— Get a specific widget from a dashboard - PATCH
/api/v1/dashboards/{dashboardId}/widgets/{id}— Partially update a widget - DELETE
/api/v1/dashboards/{dashboardId}/widgets/{id}— Delete a widget - GET
/api/v1/dashboards/{id}— Get a specific dashboard - PATCH
/api/v1/dashboards/{id}— Update a dashboard - DELETE
/api/v1/dashboards/{id}— Delete a dashboard - POST
/api/v1/dashboards/{id}/change_owner— Change dashboard owner - POST
/api/v1/dashboards/{id}/duplicate— Duplicate a dashboard - GET
/api/v1/dashboards/{id}/exists— Check whether a specific dashboard exists - GET
/api/v1/dashboards/{id}/export/dash— Get a dashboard as .dash file - POST
/api/v1/dashboards/{id}/lock— Lock the co-authored dashboard. - GET
/api/v1/dashboards/{id}/lock_info— Lock info of the co-authored dashboard. - POST
/api/v1/dashboards/{id}/metadata— Get dashboard metadata - POST
/api/v1/dashboards/{id}/publish— Publishes a dashboard - POST
/api/v1/dashboards/{id}/restore— Restores a dashboard - POST
/api/v1/dashboards/{id}/undo_Import— Restores a dashboard - POST
/api/v1/dashboards/{id}/unlock— Unlock the co-authored dashboard. - DELETE
/api/v1/dashboards/bulk— Delete dashboards - POST
/api/v1/dashboards/copy— Copy dashboard to server - GET
/api/v1/dashboards/export— Get a dashboards as .dash file - POST
/api/v1/dashboards/import/bulk— Import dashboards
data-exploration
- POST
/api/v1/data-exploration/refresh— Refresh data exploration - POST
/api/v1/data-exploration/refresh/datasource— Refresh data exploration by Datasource - GET
/api/v1/data-exploration/status— Return status of data exploration - GET
/api/v1/data-exploration/user-influences— Returns user likes
datasets
- GET
/api/v1/datasets— Returns a list of datasets - POST
/api/v1/datasets— Creates a new dataset - GET
/api/v1/datasets/{datasetId}/tables— Returns all dataset tables of elasticube - POST
/api/v1/datasets/{datasetId}/tables— Adds tables to dataset - DELETE
/api/v1/datasets/{datasetId}/tables— Removes a dataset tables from dataset - POST
/api/v1/datasets/{fullname}/datasecurity(deprecated) — Defines data security rules for a dataset - DELETE
/api/v1/datasets/{fullname}/datasecurity/{table}/{column}(deprecated) — Removes the data context column of a dataset - GET
/api/v1/datasets/{id}— Returns a dataset by ID - PATCH
/api/v1/datasets/{id}— Updates a specific dataset - DELETE
/api/v1/datasets/{id}— Removes a dataset - PATCH
/api/v1/datasets/{id}/permissions(deprecated) — Updates a datasets's permissions - POST
/api/v1/datasets/addDatasetShares— Adding members to dataset shares array - GET
/api/v1/datasets/by_fullname/{fullname}— Returns a dataset by its fullname - DELETE
/api/v1/datasets/datasecurity/{dataSecurityId}— Removes a data context by ID
datasources
- POST
/api/v1/datasources/{datasource}/fields/search— Search dimensions of datasource
elasticubes
- GET
/api/v1/elasticubes/{server}/{title}/scopes— List Elasticube scopes - POST
/api/v1/elasticubes/{server}/{title}/scopes— Create Elasticube scopes - DELETE
/api/v1/elasticubes/{server}/{title}/scopes— Delete Elasticube scopes - GET
/api/v1/elasticubes/{server}/{title}/scopes/{id}— Get Elasticube scopes by ID - PATCH
/api/v1/elasticubes/{server}/{title}/scopes/{id}— Update Elasticube scope by ID - DELETE
/api/v1/elasticubes/{server}/{title}/scopes/{id}— Delete Elasticube scope by ID - POST
/api/v1/elasticubes/{server}/{title}/updateCube— Update ElastiCube - POST
/api/v1/elasticubes/cubeShares— Adding members to elasticubes shares array - GET
/api/v1/elasticubes/getElasticubes— Get ElastiCubes - POST
/api/v1/elasticubes/getElasticubes— Get ElastiCube - GET
/api/v1/elasticubes/live— Returns a list of live elasticubes - GET
/api/v1/elasticubes/live/{elasticubeOid}/manifests— Returns a list of elasticube's manifests - GET
/api/v1/elasticubes/live/{oid}— Returns a live elasticube by oid - GET
/api/v1/elasticubes/live/{oid}/permissions— Returns the live elasticube permissions by its oid - PATCH
/api/v1/elasticubes/live/{oid}/permissions— Updates a live elasticube's permissions - GET
/api/v1/elasticubes/live/{title}/datasecurity— Returns the data security rules set up for a live elasticube - POST
/api/v1/elasticubes/live/{title}/datasecurity— Defines data security rules for a live elasticube - GET
/api/v1/elasticubes/live/{title}/datasecurity/{table}/{column}— Returns the data security rules by column set up for a live elasticube - DELETE
/api/v1/elasticubes/live/{title}/datasecurity/{table}/{column}— Removes the data context column of a live elasticube - POST
/api/v1/elasticubes/live/{title}/datasecurity/addMany— Defines many data security rules for a live elasticube - DELETE
/api/v1/elasticubes/live/datasecurity/{dataSecurityId}— Removes a data context by ID - POST
/api/v1/elasticubes/permissionsCheck— Check elasticubes permissions
emails
- POST
/api/v1/emails/test— Send test email to the given email address
encryption
- GET
/api/v1/encryption/decrypt— Decrypt encrypted with AES key string - GET
/api/v1/encryption/encrypt— Encrypt string with AES key
exporting
- POST
/api/v1/export/dashboards/{dashboardId}/pdf— Get a dashboard as .pdf file - POST
/api/v1/export/dashboards/{dashboardId}/png— Get a dashboard as .png image - POST
/api/v1/export/dashboards/{dashboardId}/widgets/{widgetId}/pdf— Get a widget as .pdf file - POST
/api/v1/export/dashboards/{dashboardId}/widgets/{widgetId}/png— Get a widget as .png image - POST
/api/v1/export/jaql/xlsx— Export pivot to excel
feature-access
- GET
/api/v1/feature-access— Get feature-access settings for the active tenant. - PUT
/api/v1/feature-access/{feature}/accessors— Set which groups use a feature within a tenant. - PUT
/api/v1/feature-access/{feature}/entitlements— Set which tenants may manage a feature. - GET
/api/v1/feature-access/entitlements— Get which tenants may manage each feature.
folders
- GET
/api/v1/folders— Get folders - POST
/api/v1/folders— Add a new folder - GET
/api/v1/folders/{id}— Get a specific folder - PATCH
/api/v1/folders/{id}— Update a folder - DELETE
/api/v1/folders/{id}— Delete a folder - GET
/api/v1/folders/{id}/ancestors— Get folder ancestors - POST
/api/v1/folders/{id}/inherited-change-owner— Change the owner of a folder and its descendants - GET
/api/v1/folders/{id}/subtree— Get a folder subtree - DELETE
/api/v1/folders/bulk— Delete folders - GET
/api/v1/navver— Get all data for navver
formulas
- GET
/api/v1/formulas— Get multiple formulas - POST
/api/v1/formulas— Create a new formula - GET
/api/v1/formulas/{formulaId}— Get a specific formula by id - PATCH
/api/v1/formulas/{formulaId}— Update an existing formula - DELETE
/api/v1/formulas/{formulaId}— Delete a formula - GET
/api/v1/formulas/usage— Get multiple formulas usage data
geo
- GET
/api/v1/geo/geojson/{type}— Get geoJson by type. - POST
/api/v1/geo/locations— Returns geographical coordinates for specified locations. - PATCH
/api/v1/geo/locations— Update cached location data. - DELETE
/api/v1/geo/locations/remove— Delete cached geolocation data. - POST
/api/v1/geo/locations/search— Search for locations in the local cache.
groups
- GET
/api/v1/groups— Get groups - POST
/api/v1/groups— Add a new group - GET
/api/v1/groups/{id}— Get a specific group - DELETE
/api/v1/groups/{id}— Delete a specific group - POST
/api/v1/groups/ad— Add a new Active Directory group - POST
/api/v1/groups/ad/bulk— Bulk add Active Directory groups - POST
/api/v1/groups/bulk— Add several groups at once - GET
/api/v1/groups/count— Get groups count - POST
/api/v1/groups/reassign-themes— Reassign themes
ldap domains
- GET
/api/v1/ldap_domains— Get LDAP domains - POST
/api/v1/ldap_domains— Add a new LDAP Domain - GET
/api/v1/ldap_domains/{id}— Get a specific LDAP domain - PATCH
/api/v1/ldap_domains/{id}— Update a LDAP Domain - POST
/api/v1/ldap_domains/{id}/sync— Sync LDAP domain - DELETE
/api/v1/ldap_domains/bulk— Delete LDAP Domains - POST
/api/v1/ldap_domains/test— Test LDAP domain
live
- GET
/api/v1/elasticubes/live/{title}/{userId}/datasecurity— Returns the data security rules for user set up for a live elasticube - GET
/api/v1/elasticubes/live/by_title/{title}— Returns a live elasticube by its title - PUT
/api/v1/elasticubes/live/datasecurity/{dataSecurityId}— Update a data security rule by id
live-connectors
- GET
/api/v1/live_connectors— Returns the list of available live connector services - GET
/api/v1/live_connectors/{provider}— Returns object that describes the connection manifest (parameters) - POST
/api/v1/live_connectors/{provider}/count— Returns count of entries in table - POST
/api/v1/live_connectors/{provider}/list_databases— Returns list of databases - POST
/api/v1/live_connectors/{provider}/list_schemas— Returns a list of schemas in a database - POST
/api/v1/live_connectors/{provider}/list_table_schemas— Returns a list of tables in a database - POST
/api/v1/live_connectors/{provider}/table_preview— Returns data preview - POST
/api/v1/live_connectors/{provider}/table_schema_details— Returns a table's schema - POST
/api/v1/live_connectors/{provider}/test_connection— Returns an object with status = OK after a successful connection
logs
- POST
/api/v1/logs/timer— Returns dashboard loading times
management-rest-controller
- GET
/api/v1/elasticubes/servers/next— Get servers with next ECubes - GET
/api/v1/elasticubes/servers/next/{server}/{cubeTitle}— Get Ecm Model of a specific elasticube
narration
- GET
/api/v1/narration/analytics(deprecated) — Return current analytics configuration - POST
/api/v1/narration/analytics(deprecated) — set/modify custom narration analytics configuration - GET
/api/v1/narration/token(deprecated) — Return token from provider - POST
/api/v1/narration/widget— Define narrated text from provider
nlq
- POST
/api/v1/nlq— Add an NLQ spec - PATCH
/api/v1/nlq/{id}— Update an NLQ spec - DELETE
/api/v1/nlq/{id}— Delete an NLQ Model - POST
/api/v1/nlq/{id}/init— Init an NLQ Model - POST
/api/v1/nlq/enableNlqOnDashboards— Enable Simply Ask on all dashboards by datamodel title - GET
/api/v1/nlq/getIndexedFields— Get the NLQ indexed fields in all NLQ specs by elasticube - GET
/api/v1/nlq/getNlqModelSpec— Get NLQ Model - GET
/api/v1/nlq/nlqAdvancedMode— Get the NLQ Advanced Mode status - POST
/api/v1/nlq/nlqAdvancedMode— enable/Disable the NLQ Advanced Mode - GET
/api/v1/nlq/permissionLevel/{level}/entity/{entity}— Get the NLQ permission for the desired entity - POST
/api/v1/nlq/permissionLevel/{level}/entity/{entity}— Set the NLQ permission for an entity - GET
/api/v1/nlq/permissions— Get the NLQ permissions for the desired query - DELETE
/api/v1/nlq/permissions/{id}— Delete an NLQ permission - GET
/api/v1/nlq/schedulers— Get all NLQ live schedulers - POST
/api/v1/nlq/schedulers— Add NLQ live scheduler - PATCH
/api/v1/nlq/schedulers/{id}— Update an NLQ live scheduler for Live model - DELETE
/api/v1/nlq/schedulers/{id}— Delete an NLQ live scheduler settings
notebook-router-controller
- GET
/api/v1/notebooks - POST
/api/v1/notebooks - PUT
/api/v1/notebooks - PATCH
/api/v1/notebooks - DELETE
/api/v1/notebooks - HEAD
/api/v1/notebooks - OPTIONS
/api/v1/notebooks - GET
/api/v1/notebooks/** - POST
/api/v1/notebooks/** - PUT
/api/v1/notebooks/** - PATCH
/api/v1/notebooks/** - DELETE
/api/v1/notebooks/** - HEAD
/api/v1/notebooks/** - OPTIONS
/api/v1/notebooks/**
oauth
- POST
/api/v1/oauth/{service}/auth— Returns tokens needed for oauth - GET
/api/v1/oauth/{service}/login_uri— Returns basic redirect url for OAuth login endpoint
parameters
- GET
/api/v1/user-parameters— Get all user parameters variables. - POST
/api/v1/user-parameters— Add user parameter variable. - DELETE
/api/v1/user-parameters— Delete selected user parameters - GET
/api/v1/user-parameters/{id}— Get user parameter variable. - PATCH
/api/v1/user-parameters/{id}— Update the user parameter variable. - DELETE
/api/v1/user-parameters/{id}— Delete user parameter variable. - POST
/api/v1/user-parameters/{id}/values— Update parameter values
plugins
- GET
/api/v1/plugins— Return a list of your plug-ins - PATCH
/api/v1/plugins— Update your plug-in’s metadata - DELETE
/api/v1/plugins/{id}— Delete a plugin - GET
/api/v1/plugins/{id}/export— Export a plugin - GET
/api/v1/plugins/get_info— Return the plug-in’s build information - POST
/api/v1/plugins/import— Import a plugin
reporting
- POST
/api/v1/reporting— Send E-Mail report for an asset - GET
/api/v1/reporting/dashboard/{dashboardId}/allowed-change-subscription— Get is user able to change subscription for dashboard - GET
/api/v1/reporting/dashboard/{dashboardId}/subscription— Get shared dashboard report subscription - POST
/api/v1/reporting/dashboard/{dashboardId}/subscription— Create or update a shared dashboard report subscription - GET
/api/v1/reporting/dashboard/{dashboardId}/user-subscription— Get user specific dashboard report subscription - POST
/api/v1/reporting/dashboard/{dashboardId}/user-subscription— Create or update a user specific dashboard report subscription
sample-dashboards
- POST
/api/v1/sample-dashboards/{sample_id}/import— Import a sample dashboard
settings
- GET
/api/v1/settings/email_server— Return email server settings - POST
/api/v1/settings/email_server— Add email server settings - PATCH
/api/v1/settings/email_server— Update email server settings - DELETE
/api/v1/settings/email_server— Delete email server settings - GET
/api/v1/settings/globalization— Returns globalization settings - POST
/api/v1/settings/globalization— Add globalization settings - PUT
/api/v1/settings/globalization— Update globalization settings - DELETE
/api/v1/settings/globalization— Delete globalization settings - GET
/api/v1/settings/infusion— Returns infusion settings. - POST
/api/v1/settings/infusion— Set infusion settings. - DELETE
/api/v1/settings/infusion— Delete infusion settings. - GET
/api/v1/settings/login_lockout— Returns Login Lockout settings. - PATCH
/api/v1/settings/login_lockout— Updates Login Lockout settings. - GET
/api/v1/settings/pivot— Returns pivot settings. - PATCH
/api/v1/settings/pivot— Patch pivot settings. - GET
/api/v1/settings/public_settings— Return public configuration settings - GET
/api/v1/settings/pulse— Returns pulse settings. - POST
/api/v1/settings/pulse— Set pulse settings. - PATCH
/api/v1/settings/pulse— Patch pulse settings. - DELETE
/api/v1/settings/pulse— Delete pulse settings. - GET
/api/v1/settings/sso— Returns sso settings. - POST
/api/v1/settings/sso— Set sso settings. - GET
/api/v1/settings/system— Returns system configuration settings. - POST
/api/v1/settings/system— Adds or updates system settings. - GET
/api/v1/settings/two_factor_auth— Returns Two Factor Authentication settings. - PATCH
/api/v1/settings/two_factor_auth— Updates Two Factor Authentication settings.
shares
- GET
/api/v1/dashboards/{dashboardId}/shares— Get a dashboard's shares - GET
/api/v1/dashboards/{dashboardId}/shares/{id}— Get a dashboard's specific share configuration - GET
/api/v1/shares/{resource_type}/{resource_id}— List direct grants on a resource - POST
/api/v1/shares/{resource_type}/{resource_id}— Grant access to a resource - PUT
/api/v1/shares/{resource_type}/{resource_id}— Replace all direct grants on a resource - GET
/api/v1/shares/{resource_type}/{resource_id}/access-check— Check whether the caller has a permission on a resource - POST
/api/v1/shares/{resource_type}/{resource_id}/datasource-access-check— Check whether parties can access the datasources behind a resource - GET
/api/v1/shares/{resource_type}/{resource_id}/effective-access— List all subjects with effective access to a resource - DELETE
/api/v1/shares/{resource_type}/{resource_id}/grants/{party_type}/{party_id}— Revoke a party's grant on a resource - GET
/api/v1/shares/{resource_type}/{resource_id}/ownership-eligibility— Check whether a user or group is eligible to own the resource - POST
/api/v1/shares/{resource_type}/{resource_id}/preview— Preview scope of a share grant - POST
/api/v1/shares/{resource_type}/{resource_id}/reparent-preview— Preview the access change a hypothetical reparent (move) would cause - GET
/api/v1/shares/accessible-resources— List all resources accessible to the caller at a given permission level
suggestion
- POST
/api/v1/suggestions— Return suggestions for an entity - POST
/api/v1/suggestions/refresh— Refresh suggestions data and ranking - POST
/api/v1/suggestions/refresh/datasource— Refresh suggestions data and ranking by Datasource - GET
/api/v1/suggestions/status— Return status of suggestions
tenants
- GET
/api/v1/tenants— Get tenants - POST
/api/v1/tenants— Add new Tenant - GET
/api/v1/tenants_system— Get System Tenant - GET
/api/v1/tenants/{id}— Get a specific tenant - PATCH
/api/v1/tenants/{id}— Update a Tenant - DELETE
/api/v1/tenants/{id}— Delete tenant from system - GET
/api/v1/tenants/count— Get Tenants count
themes
- GET
/api/v1/themes— Get all Themes - POST
/api/v1/themes— Create a new Theme - GET
/api/v1/themes/{themeOid}— Get a Theme by themeOid - PATCH
/api/v1/themes/{themeOid}— Update UI Theme parameters - DELETE
/api/v1/themes/{themeOid}— Delete a Theme by themeOid - GET
/api/v1/themes/current— Get UI Theme of the current user - GET
/api/v1/themes/fonts— List fonts - POST
/api/v1/themes/fonts— Add custom font - GET
/api/v1/themes/fonts/{name}— Get font by name - DELETE
/api/v1/themes/fonts/{name}— Delete custom font
translations
- GET
/api/v1/translations— Return all supported languages - GET
/api/v1/translations/{lang}— Return a language file - GET
/api/v1/translations/intl/{lang}— Return a language file
translator-utils-rest-controller
- GET
/api/v1/settings/translation— Returns translation settings
users
- GET
/api/v1/users— Get users - POST
/api/v1/users— Add a new user - GET
/api/v1/users/{id}— Get a specific user - PATCH
/api/v1/users/{id}— Update a user - DELETE
/api/v1/users/{id}— Delete a user - POST
/api/v1/users/ad— Add a new Active Directory user - POST
/api/v1/users/ad/bulk— Bulk add Active Directory users - POST
/api/v1/users/bulk— Add several users at once - PATCH
/api/v1/users/bulk— Update several users at once - DELETE
/api/v1/users/bulk— Delete users
web-access-tokens
- POST
/api/v1/wat/generate— Generate Web Access Token - GET
/api/v1/wat/keys— Get multiple token configurations - POST
/api/v1/wat/keys— Create a new token configuration - GET
/api/v1/wat/keys/{kid}— Get a single token configuration - PATCH
/api/v1/wat/keys/{kid}— Update single token configuration - DELETE
/api/v1/wat/keys/{kid}— Delete Token configuration - POST
/api/v1/wat/validate— Test Web Access Token
REST API v0 (Linux 2026.4.1)
133 endpoints across 14 tags (OpenAPI 3 + Swagger 2). Raw specs: OpenAPI 3:
/swagger-specs/linux/latest/v0.openapi.json(stable latest alias) or/swagger-specs/linux/2026.4.1/v0.openapi.json(this exact version); Swagger 2:/swagger-specs/linux/latest/v0.swagger.json(stable latest alias) or/swagger-specs/linux/2026.4.1/v0.swagger.json(this exact version).
Test
- GET
/api/test/testing
TranslationService
- POST
/api/translation/{schemaType}/{schemaId}/explainsql - POST
/api/translation/{schemaType}/{schemaId}/fields/search - POST
/api/translation/{schemaType}/{schemaId}/jaql - POST
/api/translation/{schemaType}/{schemaId}/jaql/explain/queries - POST
/api/translation/{schemaType}/{schemaId}/jaql/explain/queries/secondPass - POST
/api/translation/{schemaType}/{schemaId}/odbc - POST
/api/translation/{schemaType}/{schemaId}/parse - POST
/api/translation/{schemaType}/{schemaId}/sql - POST
/api/translation/dependencymap - POST
/api/translation/explainCustomColumnExpression - POST
/api/translation/explainCustomTableQuery - POST
/api/translation/generateCustomElementsSqls - POST
/api/translation/getContextFromExpression
auth
- GET
/api/auth/isauth— Returns users that are logged in. - GET
/api/auth/logout— Forces the user to be logged out
branding
- GET
/api/branding— Returns the current branding metadata - POST
/api/branding— Adds new branding to your Sisense dashboards - DELETE
/api/branding— Resets the current branding to the default Sisense branding
elasticubes
- GET
/api/elasticubes/{server}/{cube}/{user}/datasecurity— Return data security rules for a user - GET
/api/elasticubes/{server}/{elasticube}/datasecurity— Return data security rules for an elasticube - POST
/api/elasticubes/{server}/{elasticube}/datasecurity— Add new data context for datasource - DELETE
/api/elasticubes/{server}/{elasticube}/datasecurity— Delete data security rule for a column - GET
/api/elasticubes/{server}/{elasticube}/datasecurity/{table}/{column}— Return data security rules for column. - GET
/api/elasticubes/{server}/{elasticube}/listColumnsOidsIncludeDataSecurity— Returns tables and columns security rules for an elasticube - GET
/api/elasticubes/{server}/{elasticube}/permissions— Returns all authentication records for the given cube - POST
/api/elasticubes/{server}/{elasticube}/permissions— Defines a new permission for the given ElastiCube. - PUT
/api/elasticubes/{server}/{elasticube}/permissions— Updates the permissions (ACLs) for the current ElastiCube. - DELETE
/api/elasticubes/{server}/{elasticube}/permissions— Deletes all permissions for the ElastiCube. - POST
/api/elasticubes/datasecurity— Add new data context - PUT
/api/elasticubes/datasecurity/{id}— Update a data security rule by id
geo
- GET
/api/geo/geoJson/{type}— get geoJson by type
groups
- GET
/api/groups— Returns all user groups with metadata. - POST
/api/groups— Adds a new Sisense user group. - DELETE
/api/groups— Deletes multiple groups by group name or ID. - GET
/api/groups/{group}— Returns metadata for a group by group ID or name. - PUT
/api/groups/{group}— Updates a group by group ID or name. What are we updating? name, role (only for AD) - DELETE
/api/groups/{group}— Deletes a group by group ID or name. - GET
/api/groups/{group}/users— Returns a list of users in a group together with each user's metadata. - POST
/api/groups/{group}/users— Adds users to a Sisense user group. - DELETE
/api/groups/{group}/users— Removes users from a user group. - GET
/api/groups/ad— Searches for groups directly in Active Directory. - POST
/api/groups/ad— Adds a new Active Directory user group. - GET
/api/groups/allDirectories— Searches for groups in all directories. - POST
/api/groups/byIds— Returns a list of groups by groups IDs. - POST
/api/groups/validateName— Checks if the group exists.
management-rest-controller
- GET
/api/datasources— Gets all datasources - DELETE
/api/elasticubes/{server}/{cubeName}/delete— Delete Cube by name - POST
/api/elasticubes/{server}/{dataSourceId}/detach— Detach Cube - POST
/api/elasticubes/{server}/{instanceId}/detachInstanceId— Detach Cube - POST
/api/elasticubes/{server}/attach— Attach Cube - POST
/api/elasticubes/{server}/availableDatasourcesInfo— info available Datasources - POST
/api/elasticubes/{server}/info— info Cubes - GET
/api/elasticubes/sample— Attach Sample - GET
/api/elasticubes/servers— Get servers with ECubes - GET
/api/elasticubes/servers/{server}— Get cubes - GET
/api/elasticubes/servers/{server}/identity— Get server identity - GET
/api/elasticubes/servers/{server}/simple— Get database simple
palettes
- GET
/api/palettes— Returns a list of available palettes in the Sisense web app. - POST
/api/palettes— Adds a new color palette. - PUT
/api/palettes/{name}— Updates the dashboard's color palette. - DELETE
/api/palettes/{name}— Deletes a color palette from the color palettes. - GET
/api/palettes/default— Returns the default color palette.
query-rest-controller
- POST
/api/datasources/{cubeName}/jaql— execute query - POST
/api/datasources/{cubeName}/jaql/countrows— Count total rows of a jaql query, for pagination of the regular sql results - POST
/api/datasources/{cubeName}/jaql/csv— Execute query - POST
/api/datasources/{cubeName}/jaql/explain— Explain query - POST
/api/datasources/{cubeName}/jaql/sql - GET
/api/datasources/{cubeName}/sql— Execute sql - POST
/api/datasources/{cubeName}/sql— Execute sql - GET
/api/datasources/{dataSourceFullName}/{tableName}/connectedTables— Get connected tables - POST
/api/datasources/{fullName}/calculated-dimension/parse— Parse calculated dimension - POST
/api/datasources/{fullName}/parse— Parse jaql - POST
/api/datasources/{liveFullName}/fields/search— Get fields - POST
/api/datasources/{server}/{cubeName}/cancel_queries— Cancel queries - POST
/api/datasources/{server}/{title}/fields/search— Get fields - POST
/api/datasources/{server}/elasticubes/{cubeName}/preview— Execute sql for preview - POST
/api/datasources/{server}/elasticubes/{cubeName}/sql— Execute sql - GET
/api/datasources/{title}— Cancel all queries - GET
/api/datasources/{title}/fields— Get fields - POST
/api/datasources/{title}/fields/searchByDisplayName— Retrieve fields by their display name. If a display name is defined for a field, the search will not use its identity name - POST
/api/elasticubes/{server}/{cubeName}/cancelAllQueries— Cancel all queries - POST
/api/elasticubes/{server}/{dataSourceId}/stopDataSourceId— Stop cube by dataSourceId name - POST
/api/elasticubes/{server}/{instanceId}/startInstanceId— Start Cube - POST
/api/elasticubes/{server}/{instanceId}/stopInstanceId— Stop cube ny instance id - POST
/api/elasticubes/{server}/{title}/restart— Restart cube by cube name - POST
/api/elasticubes/{server}/{title}/start— Start Cube - POST
/api/elasticubes/{server}/{title}/stop— Stop cube by cube name - GET
/api/elasticubes/servers/{server}/{title}/lastBuildTime
roles
- GET
/api/roles— Returns all the role types and the enabled permissions per role type. - POST
/api/roles— Adds a new role (currently not supported). - GET
/api/roles/{idOrName}— Returns the user role by role ID or role name. - PUT
/api/roles/{idOrName}— Updates a user role by role ID or name. - DELETE
/api/roles/{idOrName}— Deletes a user role by ID or name. - GET
/api/roles/{idOrName}/manifest/{path}— Returns the permissions of a user role under a specific path in the role manifest. - POST
/api/roles/{idOrName}/manifest/{path}— Updates a user role manifest by role ID or name. - PUT
/api/roles/{idOrName}/manifest/{path}— Updates permissions in a user role manifest by role ID or name. - DELETE
/api/roles/{idOrName}/manifest/{path}— Restores some or all permissions under a specific path in the role manifest.
settings
- GET
/api/settings/api— get api settings. - POST
/api/settings/api— set api settings. - DELETE
/api/settings/api— Delete api settings. - GET
/api/settings/api/generate— Generate api settings. - GET
/api/settings/globalization— Returns globalization settings - POST
/api/settings/globalization— Add globalization settings - GET
/api/settings/proxy— Returns proxy server settings in your server. - POST
/api/settings/proxy— Adds proxy server settings to your server. - PUT
/api/settings/proxy— Updates proxy server settings in your server. - DELETE
/api/settings/proxy— Deletes proxy server settings in your server. - GET
/api/settings/security— Returns security settings. - POST
/api/settings/security— Adds/updates security settings. - GET
/api/settings/sso— Returns sso settings. - POST
/api/settings/sso— Set sso settings. - GET
/api/settings/system— Returns system configuration settings. - POST
/api/settings/system— Adds or updates system settings.
shares
- GET
/api/shares/dashboard/{id}— get share dashboard - POST
/api/shares/dashboard/{id}— share dashboard - GET
/api/shares/dashboard/{id}/subscription— get user dashboard subscription - POST
/api/shares/dashboard/{id}/subscription— update user dashboard subscription
users
- GET
/api/users— Returns all users and related metadata. - POST
/api/users— Adds a new user. - GET
/api/users/{user}— Returns metadata for a user by username or user ID. - PUT
/api/users/{user}— Updates one or more user details, by user ID or username. - DELETE
/api/users/{user}— Deletes a user by user ID or username. - GET
/api/users/ad— Searches for users in Active Directory. - POST
/api/users/ad— Imports a user from Active Directory as a new user in Sisense. - GET
/api/users/allDirectories— Searches for users in all user directories. - GET
/api/users/count— Counts users using a defined query string. - POST
/api/users/delete— Deletes a user by user ID. - POST
/api/users/forgetpassword— Sends a user an email to activate or reset the user's password. - GET
/api/users/loggedin— Retrieves my user details. - POST
/api/users/resendinvite— Resend invite email and return list of users invite status - POST
/api/users/simulate— Returns the users and related metadata of a simulated operation that adds multiple users. - POST
/api/users/validate— Validates existing users by entering their emails.